import http from '@/utils/http'

/**
 * 查询会员卡（分页）
 */
export function find(id) {
  return http.get('/vip/card/' + id)
}

/**
 * 遍历会员卡
 */
export function findCard() {
  return http.get('/vip/cards/card')
}

/**
 * 更新状态
 */
export function updateStatus(ids, status) {
  return http.post('/vip/card/status', { 'id[]': ids, 'status': status })
}

/**
 * 删除会员卡
 */
export function remove(ids) {
  return http.post('/vip/card/delete', { 'id[]': ids })
}

/**
 * 保存会员卡
 */
export function save(params) {
  return http.post('/vip/card', params)
}
